SDL_GetTrayMenuParentEntry(3)

NAME
SDL_GetTrayMenuParentEntry - Gets the entry for which the menu is a submenu, if the current menu is a submenu.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_TrayEntry * SDL_GetTrayMenuParentEntry(SDL_TrayMenu *menu);

DESCRIPTION
Either this function or

SDL_GetTrayMenuParentTray () will return non-NULL for any given menu.

FUNCTION PARAMETERS

menu
    the menu for which to get the parent entry.

RETURN VALUE
( SDL_TrayEntry
 *) Returns the parent entry, or NULL if this menu is not a submenu.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateTraySubmenu(3), •(3), SDL_GetTrayMenuParentTray(3)